#!/bin/sh

# get install & read directory names
read -p "Install directory [$HOME/MoProSuite]:" install_dir
install_dir=${install_dir:-$HOME/MoProSuite}
read -p "Working directory [$HOME/mopro]:" work_dir
arch=$(uname -m)
if [ $arch = "i686" ] || [$arch = "i586"] || [$arch="i486"] || [$arch="i386"]; 
then
	arch="32"
elif [ $arch = "x86_64" ]; 
then
	arch="64"
fi
echo "Installing for  "$arch"bit architecture"

work_dir=${work_dir:-$HOME/mopro}
 
# copy executables to install_dir
mkdir $install_dir
cp -r MoProGUI/ $install_dir/
cp -r Mollynx/ $install_dir/
cp -r LibMoPro/ $install_dir/
cp -r Doc/ $install_dir/
cp -r bin-linux$arch/* $install_dir
cp -r examples/ $work_dir/
cp -r MoProViewer-linux$arch/* $install_dir
cp MoProGUI_1501.jar $install_dir
cp RunMoProGUI $install_dir

# write mopro.ini
config_location=$HOME/.config/mopro/mopro.ini
if [ -f $config_location ]; 
then
	echo "Config file mopro.ini exists"
        read -p "Do you want to overwrite it? [y]/n " yesno
        if [ $yesno = "y" ] || [ $yesno = "Y" ] || [ $yesno = "Yes" ] || [ $yesno = "yes" ]
        then
		echo "FILE DIR $work_dir\n" > $config_location
       	        echo "FILE TABL $install_dir/LibMoPro/mopro.tab" >> $config_location
        	echo "FILE ANOM $install_dir/LibMoPro/asf_Kissel.dat" >> $config_location
        	echo "FILE WAVE $install_dir/LibMoPro/WAVEF\n" >> $config_location
        	echo "FILE VDWC $install_dir/LibMoPro/VDWcoef.dat\n" >> $config_location
        	echo "FILE IMOPRO $install_dir/IMoPro-linux"$arch >> $config_location
        	echo "FILE MOPRO $install_dir/MoPro-linux"$arch >> $config_location
        	echo "FILE VMOPRO $install_dir/VMoPro-linux"$arch >> $config_location
        	echo "FILE MVIEW $install_dir/MoProViewer_linux"$arch"static" >> $config_location
        	echo "FILE MOLLYNX $install_dir/Molly-nx11-linux"$arch >> $config_location
	else
		echo "File mopro.ini was not overwritten"
	fi
else 
	echo "FILE DIR $work_dir\n" > $config_location
	echo "FILE TABL $install_dir/LibMoPro/mopro.tab" >> $config_location
	echo "FILE ANOM $install_dir/LibMoPro/asf_Kissel.dat" >> $config_location
	echo "FILE WAVE $install_dir/LibMoPro/WAVEF\n" >> $config_location
	echo "FILE VDWC $install_dir/LibMoPro/VDWcoef.dat\n" >> $config_location
	echo "FILE IMOPRO $install_dir/IMoPro-linux"$arch >> $config_location
	echo "FILE MOPRO $install_dir/MoPro-linux"$arch >> $config_location
	echo "FILE VMOPRO $install_dir/VMoPro-linux"$arch >> $config_location
	echo "FILE MVIEW $install_dir/MoProViewer_linux"$arch"static" >> $config_location
	echo "FILE MOLLYNX $install_dir/Molly-nx11-linux"$arch >> $config_location
fi
# inform user about setting PATH
echo "\nDon't forget to update you PATH environment variable!"
echo "bash users: add this line to your ~/.bashrc file\n PATH=\$PATH:"$install_dir"\n"
echo "csh users: add this line to your ~/.cshrc file\n setenv PATH \${PATH}:"$install_dir"\n"
echo "MoProSuite installed in "$install_dir", working directory set to "$work_dir
echo "To launch MoProGUI, type RunMoProGUI or launch it from the install folder"
